v1.0 </> API Reference

Create images from text

POST https://app.seelab.ai/api/predict/text-to-image

Generate images based on text description.

Query Params

projectId integer
Associate the request with a specific project.

Body Params

styleId integer Defaults to 1003
The model used to generate images. Default is flux-hd
params object required
Image generation parameters.
prompt string required Defaults to The text "Seelab" made of various leafs, black background.
Descriptive piece of text that guides the model to generate images
samples string Defaults to 1
The Number of images to generate per prediction.
Allowed: 1 2 3 4
seed integer Defaults to 0
Apply value to get more deterministic results. It is recommended that the seed be set to 0 to randomize the seed every time.
aspectRatio string Defaults to 1:1
Changes the aspect ratio of the generated images.
Allowed: 1:1 3:4 4:3 16:9 9:16

Responses

202 202
400 400
429 429